%global pypi_name bump2version

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 8
Summary:        Version-bump your software with a single command!
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/bump2version/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A small command line tool to simplify releasing software by updating all
version strings in your source code by the correct increment.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A small command line tool to simplify releasing software by updating all
version strings in your source code by the correct increment.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bumpversion

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/bumpversion
%{_bindir}/bump2version


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.1-8.mga10
+ Revision: 2238199
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.0.1-7.mga10
+ Revision: 2154542
- rebuild for python3.13

* Fri Feb 16 2024 papoteur <papoteur> 1.0.1-6.mga10
+ Revision: 2041844
- rebuild for python 3.12

* Sun Jan 15 2023 wally <wally> 1.0.1-5.mga9
+ Revision: 1933612
- drop bumpversion obsoletes/provides

* Fri Oct 28 2022 papoteur <papoteur> 1.0.1-4.mga9
+ Revision: 1899969
- port to pytproject
  add Provides of bumpversion

* Wed Mar 23 2022 umeabot <umeabot> 1.0.1-3.mga9
+ Revision: 1823975
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.0.1-2.mga9
+ Revision: 1785652
- rebuild for python-3.10

* Wed Mar 24 2021 guillomovitch <guillomovitch> 1.0.1-1.mga9
+ Revision: 1708650
- imported package python-bump2version

